| nRF5 SDK v12.0.0 |

Choose documentation: | nRF5 SDK | S130 SoftDevice API | S132 SoftDevice API | S212 SoftDevice API | S332 SoftDevice API

All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Functions
Launch app records
Launch app messages

Generation of NFC NDEF record descriptions that launch apps. More...

## Functions
nfc_ndef_record_desc_t * | nfc_android_application_rec_declare (uint8_t const *p_package_name, uint8_t package_name_length)
| Function for generating a description of an NFC NDEF Android Application Record (AAR). More...
nfc_ndef_record_desc_t * | nfc_windows_launchapp_rec_declare (const uint8_t *p_win_app_id, uint8_t win_app_id_length)
| Function for generating a description of an NFC NDEF Windows LaunchApp record. More...

## Detailed Description

Generation of NFC NDEF record descriptions that launch apps.

## Function Documentation

nfc_ndef_record_desc_t* nfc_android_application_rec_declare | ( | uint8_t const * | p_package_name,
|  | uint8_t | package_name_length
| ) |  |

Function for generating a description of an NFC NDEF Android Application Record (AAR).

This function declares and initializes a static instance of an NFC NDEF record description of an Android Application Record (AAR).

Note
  The record payload data (`p_package_name`) should be declared as static. If it is declared as automatic, the NDEF message encoding (see nfc_ndef_msg_encode) must be done in the same variable scope.

Parameters

  [in] | p_package_name | Pointer to the Android package name string.
  [in] | package_name_length | Length of the Android package name.

Returns
  Pointer to the description of the record.

nfc_ndef_record_desc_t* nfc_windows_launchapp_rec_declare | ( | const uint8_t * | p_win_app_id,
|  | uint8_t | win_app_id_length
| ) |  |

Function for generating a description of an NFC NDEF Windows LaunchApp record.

This function declares and initializes a static instance of an NFC NDEF record description of a Windows LaunchApp record.

Note
  The record payload data (`p_win_app_id`) should be declared as static. If it is declared as automatic, the NDEF message encoding (see nfc_ndef_msg_encode) must be done in the same variable scope.

Parameters

  [in] | p_win_app_id | Pointer to the Windows application ID string (GUID).
  [in] | win_app_id_length | Length of the Windows application ID.

Returns
  Pointer to the description of the record.